var $donationForm = $("#DonationForm");

jQuery.validator.addMethod("allowFiveDigitsAndText", function (value, element) {
    var isRegexValid = this.optional(element) || /^[a-zA-Z- 0-9,.()]*$/i.test(value);
	if(isRegexValid == false){
		return false;
	}
	else{
		var numbers = value.match(/\d/g);
		if(numbers != null && numbers.length > 5){
			return false;
		}
		else{
			return true;
		}
	}

}, "Invalid format.");

$.validator.addMethod( "pattern", function( value, element, param ) {
		if ( this.optional( element ) ) {
			return true;
		}
		if ( typeof param === "string" ) {
			param = new RegExp( "^(?:" + param + ")$" );
		}
		var response = param.test( value );
		return response;
	}, "Invalid format." );

	validator = $donationForm.validate({
		rules: {
			"CreditCardInformation.CreditCardName": {
				required: true,
				allowFiveDigitsAndText: true
			},
			"BillingInformation.FirstName": {
				required: true,
				pattern: /^[a-zA-Z- 0-9,.()]*$/i
			},
			"BillingInformation.LastName": {
				required: true,
				pattern: /^[a-zA-Z- 0-9,.()]*$/i
			}
		},
		errorPlacement: function (error, element) {
			$(element).closest('.form-group').append(error);
			$('#loadingOverlay').hide();
		}
	});